Download it now!
Bug 57351 - Calc: "Insert columns" is not available in the context menu if an autofilter to hide rows is applied
Summary: Calc: "Insert columns" is not available in the context menu if an autofilter ...
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
3.6.4.3 release
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: AutoFilter
  Show dependency treegraph
 
Reported: 2012-11-20 22:51 UTC by alister.hood
Modified: 2019-07-30 16:58 UTC (History)
7 users (show)

See Also:
Crash report or crash signature:


Attachments
Screenshot from Win 7, LibO 4.4.1.2 (109.49 KB, image/jpeg)
2015-03-23 06:22 UTC, Buovjaga
Details

Note You need to log in before you can comment on or make changes to this bug.
Description alister.hood 2012-11-20 22:51:52 UTC
To reproduce:
- Open a spreadsheet.
- Click somewhere in a table then click Data>Filter>Autofilter
- Click one of the drop-down arrows and apply a filter.
- Right-click on a column header (A,B,C, etc).  There is no "Insert Columns" option (although it is still possible to do Insert>Columns from the menu).  Why not?
- Remove all autofilters and right-click on a column header.  "Insert Columns" is available, as expected.
Comment 1 A (Andy) 2012-12-24 20:00:55 UTC
not reproducible with LO 3.6.4.3. (Win7 Home, 64bit)

In both cases with and without autofilter there is an INSERT COLUMNS available after a right mouse click on a column header.
Comment 2 alister.hood 2012-12-24 20:21:38 UTC
I might not be using the right terminology, but are you sure you actually applied a filter?  (the third step: "Click one of the drop-down arrows and apply a filter.")

I can also reproduce on 32bit linux with 3.6.4.3.
"Insert columns" is available after the second step ("Click somewhere in a table then click Data>Filter>Autofilter"), but not after the third step.
Comment 3 alister.hood 2012-12-24 20:32:12 UTC
Updated "version" and "platform".  (Original testing was with 3.6.3.2 on 64bit Windows 7... although I guess the actual libreoffice build was only 32bit).
Comment 4 Jorendc 2013-01-24 23:59:55 UTC
I also can't reproduce using Mac OSX 10.8.2 with LibreOffice Version 4.1.0.0.alpha0+ (Build ID: b1d0fd4f969976e2133f8eaa37c1fb8360c20f6)
TinderBox: MacOSX-Intel@1-built_no-moz_on_10.6.8, Branch:master, Time: 2013-01-24_00:28:35

Also can't reproduce using LibreOffice Versie 3.6.4.3 (Bouw-id: 2ef5aff)...
Comment 5 A (Andy) 2013-03-03 10:52:59 UTC
@Alister: Thanks for your additional comment/clarification.

With this I could reproduce it with LO 4.0.0.3 (Win7 Home, 64bit).  It is not possible to insert a column with the right-click, but it also not possible for me to insert a column from the menu (Insert -> Columns).  But, I am not sure, whether this is a bug.  

Can anybody else confirm whether this is a bug or not?
Comment 6 nightrow 2013-03-31 10:29:28 UTC
I just run on this problem (which is CONFIRMED for me):
On LO 4.0.1.2 on Win7, once an simple autofilter is activated, i can't insert row anymore. Right click menu don't display the option, and in the menu the option is grey.

Step to reproduce:
 - Open a new spreadsheet
 - type a in a cell, b in cell below, a in cell below
 - select the 3 lines, apply an autofilter (select a only)
 - try to insert a row somewhere in the document, the bug appears as told
 - remove autofilter, insertion works back fine
Comment 7 Jorendc 2013-04-01 20:22:01 UTC
(In reply to comment #6)
> I just run on this problem (which is CONFIRMED for me):

Thanks for your info and confirmation. Therefore we can mark this bug as NEW.

Kind regards,
Joren
Comment 8 QA Administrators 2015-03-04 02:20:32 UTC Comment hidden (obsolete)
Comment 9 Buovjaga 2015-03-22 13:15:31 UTC
(In reply to alister.hood from comment #2)
> I might not be using the right terminology, but are you sure you actually
> applied a filter?  (the third step: "Click one of the drop-down arrows and
> apply a filter.")

Could not reproduce, setting to WFM.

Win 7 Pro 64-bit, LibO Version: 4.4.1.2
Build ID: 45e2de17089c24a1fa810c8f975a7171ba4cd432
Locale: fi_FI
Comment 10 alister.hood 2015-03-22 18:32:42 UTC
Again, I don't know whether you're not following the instructions correctly or there is something special about your system (seems unlikely), but I've upgraded to 4.4.1.2 and confirmed that this bug IS still present.
Comment 11 Buovjaga 2015-03-23 06:22:22 UTC
Created attachment 114261 [details]
Screenshot from Win 7, LibO 4.4.1.2

Screenshot showing filter applied (blue square in the dropdown) and insert columns left available.
Comment 12 Buovjaga 2015-03-23 06:24:51 UTC
I can also insert rows and columns from the menu and toolbar buttons.

I'll set back to NEW per original reporter's experience.
Comment 13 alister.hood 2015-03-23 08:20:21 UTC
Ah. Maybe you are using an autofilter which doesn't actually hide any rows.
If I select "Top 10" when there are less than 10, or "not empty" when there aren't any empty cells, then "Insert columns left" is available.
Comment 14 alister.hood 2015-03-23 08:22:01 UTC
Actually, not "maybe".  I can see this is the case from your screenshot.
Comment 15 Buovjaga 2015-03-23 08:32:41 UTC
(In reply to alister.hood from comment #13)
> Ah. Maybe you are using an autofilter which doesn't actually hide any rows.
> If I select "Top 10" when there are less than 10, or "not empty" when there
> aren't any empty cells, then "Insert columns left" is available.

Yep, that was it. Could reproduce after making the filter hide rows. Adjusted title to make it clear.
Comment 16 Ravindra Vidhate 2015-04-02 09:12:21 UTC
I have tested the LO Master build Version: 4.5.0.0.alpha0+
Build ID: 31e24f487e5a4e917bb35fd396cf9f3ad84982a8.

Following are my observation

1. Apply the filter on column (let's say empty) after Autofilter is set. And Select the column.
   a. The "column" menu item from menu "Insert" is disabled.
   b. The "insert columns left" menu item from Right Contextual menu is disabled.

2. Apply the filter on column (let's say empty) after Autofilter is set. And Select any cell from the same column
   a. Right Click on the Cell and Select "Insert" menu item from contextual menu
   b. The dialog box appears and then Select "Entire Column" and press OK
   c. Not the column is getting properly inserted.

Could you please anyone tell me what should be the correct behaviour ?

As far as I know, we should also allow to insert the column in case 1 as well.
Comment 17 tommy27 2016-04-16 07:23:08 UTC Comment hidden (obsolete)
Comment 18 alister.hood 2016-04-28 22:21:17 UTC
Tested again in 5.1.2 on Arch Linux. Still present.
Comment 19 Xisco Faulí 2016-09-14 22:45:40 UTC
Hi Ravindra,
I'm setting this ticket back to NEW as it has been inactive for more than 3
months.
Feel free to assign it back to you if you're still working on this.
Regards
Comment 20 Rainer Bielefeld Retired 2017-11-21 19:00:15 UTC
NOT / No longer reporducible with Version: 5.4.2.2 
Build-ID: 22b09f6418e8c2d508a9eaf86b2399209b0990f4
CPU-Threads: 4; Betriebssystem:Windows 6.1; UI-Render: Standard; 
Gebietsschema: de-DE (de_DE); Calc: group
Comment 21 alister.hood 2017-11-21 21:02:04 UTC
(In reply to Rainer Bielefeld Retired from comment #20)
> NOT / No longer reporducible with Version: 5.4.2.2 
> Build-ID: 22b09f6418e8c2d508a9eaf86b2399209b0990f4
> CPU-Threads: 4; Betriebssystem:Windows 6.1; UI-Render: Standard; 
> Gebietsschema: de-DE (de_DE); Calc: group

Hi Rainer,
Are you sure?
It certainly still reproduces in 5.4.2, and it seems rather unlikely, given that you've just filed #113980 which matches this comment above, and seems like it would have the same underlying cause:

> it also not possible for me to insert a column from the menu (Insert -> Columns)

Note as described above that it only reproduces if the autofilter actually hides some rows.
Comment 22 Rainer Bielefeld Retired 2017-11-22 06:13:44 UTC
(In reply to alister.hood from comment #21)
a) No! Because of your objective I did some additional tests, and I can still
   reproduce this one. There are some common STR with Bug 113980 how to
   reproduce, but also cases which only reproduce this one or only reproduce
   Bug 113980. I will have to do some more research in the evening.
Comment 23 QA Administrators 2018-11-23 03:47:20 UTC Comment hidden (obsolete)
Comment 24 MattP 2019-07-30 16:58:26 UTC
Still present.

Version: 6.2.5.2
Build ID: 1ec314fa52f458adc18c4f025c545a4e8b22c159
CPU threads: 8; OS: Mac OS X 10.14.5; UI render: default; VCL: osx; 
Locale: en-US (en_US.UTF-8); UI-Language: en-US
Calc: threaded


Context menu when no filter: https://imgur.com/APPfEc1.png

Context menu when filtered: https://imgur.com/wK62BYq.png

Menu > Sheet > Insert Columns (when filtered): https://imgur.com/9XRYx6Q.png